# How to pack Faderfox EC4 setups individually

This is a brief explanation for how to create a Sysex-File that only contains a single preset for the EC4 in setup slot #16.


## Step 1 - Create a file with your setup

If you already have the a sysex file that contains the setup in question, e.g. a full backup of your EC4, it's not necessary to connect the EC4 to the computer, you can do everything inside the online [EC4 Editor](https://www.privatepublic.de/faderfox-editor/ec4/). 

Otherwise you need to connect the EC4 and make a full backup using "Receive from EC4" (instructions are presented when you click that button).

## Step 2 - Clear the data in the editor

To give you a blank slate, I have created a file `Faderfox EC4 empty.syx` where all presets, setup and group names have been erased. 

1. Click **Load File** to load that file into the online editor. 
2. Open `Faderfox EC4 empty.syx` 
3. Now you are presented with a grid that shows all setups and groups inside the file and allows for selecting all or some of those. In this case, you want all of them, so click **Select All**, and then **Import selected** to load all cleared setups and groups into the editor. 

Working from a blank slate makes comparing files and tracking changes a lot easier.

## Step 3 - Load only the setup you want to package

Now you need to load the setup that you want to package.

1. Click **Load File** to load that file into the online editor. 
2. Open the sysex file that contains the setup you want to share
3. Again you see the grid that shows all setups and groups inside the file. This time, you **select only the setup you want to share**, and then **Import selected** to load it into the editor. 

## Step 4 - Move your setup to setup 16


**Note:** The editor does not allow for importing to a specific slot, setups and groups always go to the location used in the sysex file. Therefore it makes sense to always use slot #16 for exchanging setups, so that people importing setups can use slots 1-15 as they please, minimising the need to copy stuff around when importing

1. Select the setup in the sidebar
2. Click **Copy Setup**
3. **Select Setup Slot #16** in the sidebar
4. Click **Paste Setup**
5. **Set the name for your setup** in slot 16 (that is not copied with the setup)
5. Then use the same procedure to copy any empty setup to the place where your setup was imported originally
6. Clear the name your setup from the slot you imported it to
7. Click **Save file** and save your setup with filename that contains all relevant information, e.g. *Faderfox EC4 Setup for Modor NF-1(m) v2023-04-22.syx*
	

A good filename tells people what they can expect form the file:

- that it is for the Faderfox EC4
- what device it controls
- a date (or a version number), so that you can publish fixes or updates

## Step 5 - Write a README and pack a ZIP

1. A template for the README with instructions for installation is included. With this download.
2. Just fill in the blanks and add whatever info you think is necessary, and delete what you don't need. 
3. Zip the README and the sysex file into one file that contains all relevant information, but puts the name of the device first so that it's clearly visible in the Synthgoup's file list. (in the above example, that might be *Modor NF-1(m) v2023-04-22 (Faderfox EC4).**zip***).

